Bug 17346 - Simple knockout groups should just be rendered with CAIRO_OPERATOR_SOURCE
Summary: Simple knockout groups should just be rendered with CAIRO_OPERATOR_SOURCE
Status: RESOLVED MOVED
Alias: None
Product: poppler
Classification: Unclassified
Component: cairo backend (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-28 16:59 UTC by Carl Worth
Modified: 2018-08-21 11:19 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Worth 2008-08-28 16:59:31 UTC
Cairo uses knockout groups to put its fallback images into PDF files, and cairo would be happier if poppler would just use SOURCE to draw those groups.

This could probably be done if poppler looked at the knockout group and saw that it just consists of drawing one rectangular image, (so it knows the "shape" is a rectangle and doesn't need to compute the shape and draw with DEST_OUT and ADD to get the shape).

Good luck, Jeff!

-Carl
Comment 1 Jeff Muizelaar 2008-09-16 21:51:04 UTC
It looks like this would have to be done with EXTEND_PAD and clipping to a rectangle. The pdf backend doesn't seem to have proper support for EXTEND_PAD and if it was fixed, it seems likely using EXTEND_PAD would cause a fallback. So there really isn't good api for painting the knockout groups with SOURCE.
Comment 2 GitLab Migration User 2018-08-21 11:19:44 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/poppler/poppler/issues/625.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.